
using Godot;
using System.Threading.Tasks;

namespace Rokojori
{  
  [Tool]
  [GlobalClass,Icon("res://addons/rokojori_action_library/Icons/SensorManager.svg")]
  public partial class PresetModule: Resource
  { 
    public virtual async Task ProcessPass( PresetContext context )
    {
      return;
    }
  }
}